Skip site navigation (1)Skip section navigation (2)
Date:      Sun, 19 May 2013 08:19:54 +0200
From:      fddi <fddi@gmx.it>
To:        freebsd-questions@freebsd.org
Subject:   problems with port upgrade consistency using portsnap
Message-ID:  <51986F0A.4030509@gmx.it>

Next in thread | Raw E-Mail | Index | Archive | Help
Hello,
I am using portsnap to update my port collection on FreeBSD 9.1

the first time I ran it a few weeks ago I did|
||
|||portsnap fetch|
||
|and then

portsnap exctract


then I did a crontab script to update ports every night

0 3 * * * /usr/sbin/portsnap -I cron update && pkg_version -vIL=


Now after a few weeks pkg_version is reporting me a lot of ports which 
needs updating

dbus-glib-0.100.1                   <   needs updating (index has 0.100.2)
desktop-file-utils-0.18             <   needs updating (index has 0.21)
dokuwiki-20121013                   <   needs updating (index has 20130510)
freetype2-2.4.11                    <   needs updating (index has 2.4.12_1)
intltool-0.41.1                     <   needs updating (index has 0.50.2)
p5-HTML-Parser-3.70                 <   needs updating (index has 3.71)
p5-LWP-Protocol-https-6.03          <   needs updating (index has 6.04)
php5-5.4.14                         <   needs updating (index has 5.4.15)
php5-dom-5.4.14                     <   needs updating (index has 5.4.15)
php5-exif-5.4.14                    <   needs updating (index has 5.4.15)
php5-fileinfo-5.4.14                <   needs updating (index has 5.4.15)
php5-gd-5.4.14                      <   needs updating (index has 5.4.15)
php5-iconv-5.4.14                   <   needs updating (index has 5.4.15)
php5-json-5.4.14                    <   needs updating (index has 5.4.15)
php5-ldap-5.4.14                    <   needs updating (index has 5.4.15)
php5-mbstring-5.4.14                <   needs updating (index has 5.4.15)
php5-mcrypt-5.4.14                  <   needs updating (index has 5.4.15)
php5-mysql-5.4.14                   <   needs updating (index has 5.4.15)
php5-openssl-5.4.14                 <   needs updating (index has 5.4.15)
php5-session-5.4.14                 <   needs updating (index has 5.4.15)
php5-xml-5.4.14                     <   needs updating (index has 5.4.15)
php5-zlib-5.4.14                    <   needs updating (index has 5.4.15)
py27-sqlite3-2.7.3_3                <   needs updating (index has 2.7.5_3)
python27-2.7.3_6                    <   needs updating (index has 2.7.5)
roundcube-0.8.6,1                   <   needs updating (index has 0.9.0,1)
sendmail+tls+sasl2+db42-8.14.7      <   needs updating (index has 8.14.7_1)
sendmail+tls+sasl2-8.14.7           <   needs updating (index has 8.14.7_1)
shared-mime-info-1.0_2              <   needs updating (index has 1.1)
wget-1.14                           <   needs updating (index has 1.14_2)

if I use  portmaster to upgrade my ports collection it is telling me all 
packages are up to date...
so there is something not working

for example

py27-sqlite3-2.7.3_3                <   needs updating (index has 2.7.5_3)

but if I go into

/usr/ports/lang/python27

and I look in Makefile, it reports

PORTNAME=       python27
PORTVERSION=    2.7.3
PORTREVISION=   6


while it should be

PORTNAME=       python27
PORTVERSION=    2.7.5
PORTREVISION=   3


Looks like the ports database is updated but the ports tree it is not...

anyone could give me a hint on why this may happen ?

I actually am unable to update my ports collection.

thank you very much

Rick



||



Want to link to this message? Use this URL: <http://docs.FreeBSD.org/cgi/mid.cgi?51986F0A.4030509>